
TYPO3.Media - Feature # 33413

Status: Resolved Priority: Should have
Author: Adrian Föder Category:
Created: 2012-01-24 Assigned To: Adrian Föder
Updated: 2012-05-10 Due date:
Subject: Image ViewHelper
Description

Building a ViewHelper for rendering an <img> tag out of a TYPO3\Media\Image object.
Please discuss here about the features and the code, I will gladly build it once agreed.

Associated revisions
Revision 136d7707 - 2012-03-16 13:06 - Adrian Föder

[FEATURE] Image ViewHelper

Provide Image ViewHelpers that are able to render <img>
tags and image paths to possibly resized variants of the
given Image object.
Usage:
<m:image image="{imageObject}" maximumWidth="80" alt="sample" />{m:uri.image(image: imageObject, maximumWidth: 80)}

Change-Id: I4b99540de9b9e60bf41c86cb12e3dd7339146f97
Resolves: #33413

History
#1 - 2012-01-24 15:41 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8675

#2 - 2012-01-24 16:03 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#3 - 2012-01-24 16:06 - Bastian Waidelich
- Assigned To changed from Bastian Waidelich to Adrian Föder

#4 - 2012-01-24 16:06 - Bastian Waidelich
- Status changed from Accepted to Under Review

#5 - 2012-01-25 17:34 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8690

#6 - 2012-01-25 17:36 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8690

#7 - 2012-01-25 17:38 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8690

#8 - 2012-01-26 14:49 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8690

#9 - 2012-03-07 11:32 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9449

#10 - 2012-03-07 12:18 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9449

#11 - 2012-03-13 19:37 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9449

#12 - 2012-03-16 13:06 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9449

#13 - 2012-05-10 14:02 - Adrian Föder
- Status changed from Under Review to Resolved
